<?xml version="1.0" standalone="yes"?>
<!-- Copyright(c) 2010 ThreatSTOP, Inc. -->
<xsl:stylesheet version="1.0"
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:junos="http://xml.juniper.net/junos/*/junos"
			xmlns:xnm="http://xml.juniper.net/xnm/1.1/xnm"
			xmlns:jcs="http://xml.juniper.net/junos/commit-scripts/1.0">

<xsl:import href="../import/junos.xsl"/>

<xsl:template match="configuration">

	<xsl:call-template name="jcs:emit-change">

		<xsl:with-param name="content">
			<system>
				<syslog>
					<archive>
						<size>100k</size>
						<files>3</files>
					</archive>
					<user>
						<name>*</name>
						<contents>
							<name>any</name>
							<emergency/>
						</contents>
					</user>
					<file>
						<name>ThreatSTOP_log.log</name>
						<contents>
							<name>any</name>
							<any/>
						</contents>
						<match>RT_FLOW_SESSION</match>
						<match>RT_FLOW_SESSION</match>
					</file>
				</syslog>
			</system>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="jcs:emit-change">

		<xsl:with-param name="content">

			<system>
				<syslog>
					<file>
						<name>ThreatSTOP_log.log</name>
						<contents>
							<name>any</name>
							<any/>
						</contents>
						<archive>
							<size>10485760</size>
							<archive-sites>
								<name>ftp://ftp@logs.threatstop.com/logs</name>
							</archive-sites>
						</archive>
						<structured-data>
						<brief/>
					</structured-data>
					</file>
				</syslog>
			</system>

		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="jcs:emit-change">
		<xsl:with-param name="content">
			<system>
				<scripts>
					<commit>
						<file delete="delete">
							<name>tsinstallSecurity.xsl</name>
						</file>
					</commit>
				</scripts>
			</system>
		</xsl:with-param>
	</xsl:call-template>
</xsl:template>
</xsl:stylesheet>
